---
title: "Tailscale MSP"
meta_title: "Taiscale Partnership"
description: "Annoucement of Tailscale Partnership"
date: 2024-03-17T05:00:00Z
image: "/images/Tailscale-Logo-Black.svg.png"
categories: ["News"]
author: "Kevin Riordan"
tags: ["tailscale", "announcement", "news"]
draft: false
---

## Announcement

I am proud to announce our partnership with [Tailscale](https://www.tailscale.com "Tailscale's Homepage"). Tailscale's core innovation is providing a private network through the orchestration of Wireguard tunnels. And while that description might not invigorate most, once you grasp the 2nd, 3rd, and nth order effects you can't imagine doing things any other way.

I am going to double down and state that this technology will be as formative as Blockchain and AI on the digital ecosystem. Tailscale will likely even become a critical building block in those paradigms. Like TCP/UDP, Tailscale offers a fundamental protocol that will lay the foundation for the entire Internet. Except in Tailscale's case it will be the New Internet.

### Building Block

Tailscale is a key building block in both my personal life and my professional life. Development and hosting this site as it is done today could not happen without it. It is so effective, performant, manageable, and secure it is truly a silver bullet and that is why Digital Asset Management will be architecting our all of internal process and delivered services entirely around Tailscale.

To understand why it is so revolutionary one must understand what it used to take to host and deploy secured services ANYWHERE. If you wanted secure and private access to some resource at your home no matter where you were you needed to put a lot of pieces together: DDNS, Port Forwarding, Firewall, VPN tunnel building.

### Tailscale's Bold Predicition

Tailscale's product speaks for itself. Their CEO and co-founder, Avery Pennuran, doesn't need to go around drumming up hype like he's the CEO of an AI company. By focusing on scaling access to the technology people like me become evangelists for the product. Despite their tepid posture Tailscale's co-founder Avery Pennuran wrote a blog post called [The New Internet](https://tailscale.com/blog/new-internet "The New Internet Blog Post") where he lays out some of his grand views for the future, including some pretty bold predictions:

> There’s going to be a new world of haves and have-nots. Where in 1970 you had or didn’t have a mainframe, and in 1995 you had or didn’t have the Internet, and today you have or don’t have a TLS cert, tomorrow you’ll have or not have Tailscale. And if you don’t, you won’t be able to run apps that only work in a post-Tailscale world.

This might strike you as lofty, but frankly, this prediction doesn't go far enough!

### The DAM Plan

DAM intends to play a key role in the Avery's bold prediction. Namely, accelerate the transition to a, "post-Tailscale world". To achieve this we will focus on several general areas:

1. Upgrade the existing connectivity solutions of individuals and businesses
2. Migrating services off expensive cloud infrastructure to reduce fixed costs
3. Package existing OSS to be Tailscale ready
4. Consult companies on how to improve and secure existing business processes
5. Develop new apps that ONLY work in a  post-Tailscale world

I haven't felt this level of excitement about a technology since discovering Bitcoin, and Tailscale feels like its going to be even more transformative. Contact DAM to discuss how to prepare your company for the New Internet.
